Upgraded 3.0.4 -> 3.4.1. Emails no longer work. - Mozilla

This is a discussion on Upgraded 3.0.4 -> 3.4.1. Emails no longer work. - Mozilla ; Hi, I upgraded 3.0.4 to 3.4.1 using a new tarball and installed the newly required Perl modules until checksetup.pl got as far as converting the database. There were some errors relatign to foreign keys, which I handled by dum[ping the ...

+ Reply to Thread
Results 1 to 3 of 3

Thread: Upgraded 3.0.4 -> 3.4.1. Emails no longer work.

  1. Upgraded 3.0.4 -> 3.4.1. Emails no longer work.

    Hi,

    I upgraded 3.0.4 to 3.4.1 using a new tarball and installed the newly
    required Perl modules until checksetup.pl got as far as converting the
    database. There were some errors relatign to foreign keys, which I
    handled by dum[ping the database to an SQL file, dropping recreating
    and re-importing, then manually dropping any tables that checksetup.pl
    was complaining about when trying to create them.

    Checksetup.pl now runs fine with no errors and the installation
    appears to work. However, as soon as Bugzilla tries to send an email,
    I get the following error:

    ======================ERROR-PASTE-START=========================

    Net::SMTP>>> Net::SMTP(2.31) Net::SMTP>>> Net::Cmd(2.29) Net::SMTP>>>
    Exporter(5.62) Net::SMTP>>> IO::Socket::INET(1.31) Net::SMTP>>>
    IO::Socket(1.30_01) Net::SMTP>>> IO::Handle(1.27) Net::SMTP=GLOB
    (0x30e3a0c)<<< 220 edsl.net Microsoft ESMTP MAIL Service, Version:
    6.0.3790.3959 ready at Fri, 28 Aug 2009 17:48:05 +0100 Net::SMTP=GLOB
    (0x30e3a0c)>>> EHLO edsl-sbs01 Net::SMTP=GLOB(0x30e3a0c)<<< 250-
    edsl.net Hello [192.168.47.2] Net::SMTP=GLOB(0x30e3a0c)<<< 250-TURN
    Net::SMTP=GLOB(0x30e3a0c)<<< 250-SIZE Net::SMTP=GLOB(0x30e3a0c)<<< 250-
    ETRN Net::SMTP=GLOB(0x30e3a0c)<<< 250-PIPELINING Net::SMTP=GLOB
    (0x30e3a0c)<<< 250-DSN Net::SMTP=GLOB(0x30e3a0c)<<< 250-
    ENHANCEDSTATUSCODES Net::SMTP=GLOB(0x30e3a0c)<<< 250-8bitmime
    Net::SMTP=GLOB(0x30e3a0c)<<< 250-BINARYMIME Net::SMTP=GLOB(0x30e3a0c)
    <<< 250-CHUNKING Net::SMTP=GLOB(0x30e3a0c)<<< 250-VRFY Net::SMTP=GLOB
    (0x30e3a0c)<<< 250-X-EXPS GSSAPI NTLM LOGIN Net::SMTP=GLOB(0x30e3a0c)
    <<< 250-X-EXPS=LOGIN Net::SMTP=GLOB(0x30e3a0c)<<< 250-AUTH GSSAPI NTLM
    LOGIN Net::SMTP=GLOB(0x30e3a0c)<<< 250-AUTH=LOGIN Net::SMTP=GLOB
    (0x30e3a0c)<<< 250-X-LINK2STATE Net::SMTP=GLOB(0x30e3a0c)<<< 250-
    XEXCH50 Net::SMTP=GLOB(0x30e3a0c)<<< 250 OK Net::SMTP=GLOB(0x30e3a0c)
    >>> MAIL FROM: Net::SMTP=GLOB(0x30e3a0c)<<< 250 2.1.0

    support@edsl.net....Sender OK Net::SMTP=GLOB(0x30e3a0c)>>> DATA
    Net::SMTP=GLOB(0x30e3a0c)<<< 503 5.5.2 Need Rcpt command.
    Bugzilla Bug 273 processed


    Home | New | Search | | Reports | Preferences | Administration | Help
    | Log out ben
    Bugzilla has suffered an internal error. Please save this page and
    send it to ben@edsl.net with details of what you were doing at the
    time this message appeared.

    URL: http://edsl-sbs01/Bugz/process_bug.cgi

    There was an error sending mail from 'support@edsl.net' to 'jan':Can't
    send data

    Home | New | Search | | Reports | Preferences | Administration | Help
    | Log out ben
    My Bugs

    ======================ERROR-PASTE-END=========================

    All settings that appear in both evrsions are the same (smtp server,
    from address etc) and emails worked in version 3.0.4. No users have
    been modfied either.

    When checksetup.pl first asked for my SMTP server, I typed it in
    incorrectly, but later fixed this int he parameters page, so I don't
    think that will be causing the problem, but is probably worth
    mentioning.

    So far I've been unable to find anyone who has the same problem
    despite checksetup.pl running perfectly. Any ideas?

  2. Re: Upgraded 3.0.4 -> 3.4.1. Emails no longer work.

    Actually, I forgot to mention this, but when I run checksetup.pl, I
    get a mesagebox headed "perl.exe - Unable to locate component" with
    the error "This application has failed to start because OCI.dll was
    not found. Re-installing the application may fix this problem" at
    which point the last line of the checksetup.pl output shows as
    "Checking for DBD-mysql (v4.00) ok: found v4.005" (see below). After
    clicking 'OK' checksetup.pl continues to run and give the outut below.
    Bugzilla still operates properly except for emails.

    checksetup.pl gives...

    * This is Bugzilla 3.4.1 on perl 5.10.0
    * Running on Win2003 Build 3790 (Service Pack 2)

    Checking perl modules...
    Checking for CGI.pm (v3.33) ok: found v3.34
    Checking for Digest-SHA (any) ok: found v5.45
    Checking for TimeDate (v2.21) ok: found v2.22
    Checking for DateTime (v0.28) ok: found v0.50
    Checking for DateTime-TimeZone (v0.79) ok: found v0.96
    Checking for PathTools (v0.84) ok: found v3.2501
    Checking for DBI (v1.41) ok: found v1.604
    Checking for Template-Toolkit (v2.22) ok: found v2.22
    Checking for Email-Send (v2.16) ok: found v2.192
    Checking for Email-MIME (v1.861) ok: found v1.861
    Checking for Email-MIME-Encodings (v1.313) ok: found v1.313
    Checking for Email-MIME-Modifier (v1.442) ok: found v1.442
    Checking for URI (any) ok: found v1.36

    Checking available perl DBD modules...
    Checking for DBD-Pg (v1.45) not found
    Checking for DBD-mysql (v4.00) ok: found v4.005
    Checking for DBD-Oracle (v1.19) ok: found v1.21

    The following Perl modules are optional:
    Checking for GD (v1.20) ok: found v2.39
    Checking for Chart (v1.0) ok: found v2.4.1
    Checking for Template-GD (any) ok: found v1.56
    Checking for GDTextUtil (any) ok: found v0.86
    Checking for GDGraph (any) ok: found v1.4308
    Checking for XML-Twig (any) ok: found v3.32
    Checking for MIME-tools (v5.406) ok: found v5.425
    Checking for libwww-perl (any) ok: found v5.810
    Checking for PatchReader (v0.9.4) ok: found v0.9.5
    Checking for PerlMagick (any) not found
    Checking for perl-ldap (any) ok: found v0.34
    Checking for Authen-SASL (any) not found
    Checking for RadiusPerl (any) not found
    Checking for SOAP-Lite (any) ok: found v0.69
    Checking for HTML-Parser (v3.40) ok: found v3.56
    Checking for HTML-Scrubber (any) ok: found v0.08
    Checking for Email-MIME-Attachment-Stripper (any) ok: found v1.314
    Checking for Email-Reply (any) ok: found v1.202
    Checking for TheSchwartz (any) not found
    Checking for Daemon-Generic (any) not found
    Checking for mod_perl (v1.999022) ok: found v2.000004
    ************************************************** *********************
    * OPTIONAL MODULES
    *
    ************************************************** *********************
    * Certain Perl modules are not required by Bugzilla, but by
    *
    * installing the latest version you gain access to additional
    *
    * features.
    *
    *
    *
    * The optional modules you do not have installed are listed below,
    *
    * with the name of the feature they enable. Below that table are the
    *
    * commands to install each module.
    *
    ************************************************** *********************
    * MODULE NAME * ENABLES FEATURE(S)
    *
    ************************************************** *********************
    * PerlMagick * Optionally Convert BMP Attachments to PNGs
    *
    * Authen-SASL * SMTP Authentication
    *
    * RadiusPerl * RADIUS Authentication
    *
    * TheSchwartz * Mail Queueing
    *
    * Daemon-Generic * Mail Queueing
    *
    ************************************************** *********************
    * Note For Windows Users
    *
    ************************************************** *********************
    * In order to install the modules listed below, you first have to run
    *
    * the following command as an Administrator:
    *
    *
    *
    * ppm repo add theory58S http://cpan.uwinnipeg.ca/PPMPackages/10xx/
    ************************************************** *********************
    COMMANDS TO INSTALL OPTIONAL MODULES:

    PerlMagick: ppm install PerlMagick
    Authen-SASL: ppm install Authen-SASL
    RadiusPerl: ppm install RadiusPerl
    TheSchwartz: ppm install TheSchwartz
    Daemon-Generic: ppm install Daemon-Generic

    Reading ./localconfig...

    OPTIONAL NOTE: If you want to be able to use the 'difference between
    two
    patches' feature of Bugzilla (which requires the PatchReader Perl
    module
    as well), you should install patchutils from:

    http://cyberelk.net/tim/patchutils/

    Checking for DBD-mysql (v4.00) ok: found v4.005
    Checking for MySQL (v4.1.2) ok: found v5.0.51b-community-nt

    Removing existing compiled templates...
    Precompiling templates...done.

  3. Re: Upgraded 3.0.4 -> 3.4.1. Emails no longer work.

    Solved it now. It was my fault - hadn't set the user_authentication
    parameters properly in the new version. Afetr setting emailregexp to
    only allow local usernames and manually adding the local domain as an
    email suffix, it can properly process email recipients.

    PROBLEM SOLVED

+ Reply to Thread